import java.util.Scanner;

public class AplicaAck {
	public static void main (String[] a) {
		Scanner ent = new Scanner(System.in);
		char opc;
		
		do {
			System.out.println("Dame el valor de m: ");
			int m = ent.nextInt();
			System.out.println("Dame el valor de n: ");
			int n = ent.nextInt();
			
			System.out.println(Ackerman.ack(m,n));
			
			System.out.println("Otra vez: ");
			opc = ent.next().charAt(0);
		} while(opc == 's');
		
		ent.close();
	}
}
